Bug 245519 - Suspend does not turn power off on Tecra M5. Subsequent restore not possible.
Summary: Suspend does not turn power off on Tecra M5. Subsequent restore not possible.
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-info   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-24 20:41 UTC by Srikanth Konjarla
Modified: 2013-03-06 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 15:19:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Srikanth Konjarla 2007-06-24 20:41:02 UTC
Description of problem:

Suspend does not work properly on Tecra M5. The issue is, display is off but
power LED glows instead of flickering as a sign of suspend (to memory). Restore
is not possible at all. The only way is to reboot by pressing and holding power
button. Details of laptop.

# lshal | grep -i system.hardware
  system.hardware.product = 'TECRA M5'  (string)
  system.hardware.serial = '57104484H'  (string)
  system.hardware.uuid = '6980B400-0AAB-11DC-8051-B05D57104484'  (string)
  system.hardware.vendor = 'TOSHIBA'  (string)
  system.hardware.version = 'PTM51U-0SV01P'  (string)


Version-Release number of selected component (if applicable):

pm-utils-0.99.3-6.fc7
hal-0.5.9-8.fc7

How reproducible:

Attempt to suspend by any means (pressing Function key or 'echo mem >
/sys/power/state'


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Till Maas 2007-09-27 20:37:28 UTC
Does
"pm-suspend --quirk-s3-mode"
work? But I guess not. You could test all quirks from
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html and see
if any of these work. But this may also be a kernel bug, but I am not sure.

Comment 2 Till Maas 2008-03-05 15:19:09 UTC
Without any more information about which quirks from my comment 1 work and
without  owning this hardware, nothing can be fixed.


Note You need to log in before you can comment on or make changes to this bug.